package com.ywt.mg.domain.models.enums;

/**
 * type of service：服务类型，0-默认，1-营养餐(订餐服务),
 * 对应 bill_third_check_total 表和 bill_third_total 表的 tos字段
 */
public enum TosEnum {
    /**
     * 服务类型，0-默认，1-营养餐(订餐服务)， 2-影像报告（检验检查）
     */
    Default("默认", 0),
    Nutrimeal("订餐服务", 1),
    CheckResult("影像报告", 2);

    private final String displayName;

    private final int value;

    TosEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


    public static String getDisplayName (int value){
        for (TosEnum typeEnum: TosEnum.values()) {
            if (typeEnum.value == value){
                return typeEnum.displayName;
            }
        }
        return "";
    }
}
